package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 增值服务对象 add_value_service
 * 
 * @author ruoyi
 * @date 2025-03-06
 */
public class AddValueService extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 增值服务编号 */
    private Long addValueServiceId;

    /** 增值服务详情 */
    @Excel(name = "增值服务详情")
    private String addValueServiceInfo;

    /** 增值服务名 */
    @Excel(name = "增值服务名")
    private String addValueServiceName;

    /** 删除标识 */
    private Integer delFlag;

    /** 备注 */
    @Excel(name = "备注")
    private String reamk;

    public void setAddValueServiceId(Long addValueServiceId) 
    {
        this.addValueServiceId = addValueServiceId;
    }

    public Long getAddValueServiceId() 
    {
        return addValueServiceId;
    }
    public void setAddValueServiceInfo(String addValueServiceInfo) 
    {
        this.addValueServiceInfo = addValueServiceInfo;
    }

    public String getAddValueServiceInfo() 
    {
        return addValueServiceInfo;
    }
    public void setAddValueServiceName(String addValueServiceName) 
    {
        this.addValueServiceName = addValueServiceName;
    }

    public String getAddValueServiceName() 
    {
        return addValueServiceName;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setReamk(String reamk) 
    {
        this.reamk = reamk;
    }

    public String getReamk() 
    {
        return reamk;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("addValueServiceId", getAddValueServiceId())
            .append("addValueServiceInfo", getAddValueServiceInfo())
            .append("addValueServiceName", getAddValueServiceName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("delFlag", getDelFlag())
            .append("reamk", getReamk())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
